// Tulsa Sample AppView.h : interface of the CTulsaSampleAppView class
//
/////////////////////////////////////////////////////////////////////////////

#ifndef _APP_VIEW_
#define _APP_VIEW_

#include "Tulsa Sample AppDoc.h"
#include "CardDlg.h"

class CTulsaSampleAppView : public CView
{
protected: // create from serialization only
	CTulsaSampleAppView();
	DECLARE_DYNCREATE(CTulsaSampleAppView)

// Attributes
public:
	CTulsaSampleAppDoc* GetDocument();

	CCardDlg* m_pPropertyPage[MAX_STB_TULSA_CARDS];
	CPropertySheet* m_pPropertySheet;
	CDialog*  m_pwndCard1Control;

// Operations
public:

	int GetCurrentCard();
	CCardDlg* GetActiveCardDialog();
	void SetActiveCardDialog(int page);
	CCardDlg* GetCardDialog(int card);
	void SetActiveNextCardDialog();


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTulsaSampleAppView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual void OnInitialUpdate();
	virtual BOOL DestroyWindow();
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTulsaSampleAppView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
//	LRESULT UpdateStatus(WPARAM wParam, LPARAM lParam);

	//{{AFX_MSG(CTulsaSampleAppView)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in Tulsa Sample AppView.cpp
inline CTulsaSampleAppDoc* CTulsaSampleAppView::GetDocument()
   { return (CTulsaSampleAppDoc*)m_pDocument; }
#endif

#endif
/////////////////////////////////////////////////////////////////////////////
